package com.liquidnet.service.goblin.service;

import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.GoblinNftOrderDetailsVo;
import com.liquidnet.service.goblin.dto.vo.GoblinPayOrderDetailsVo;

public interface IGoblinNftOrderAppService {

    ResponseDto<PagedResult<GoblinNftOrderDetailsVo>> orderList(int page);

    ResponseDto<GoblinNftOrderDetailsVo> orderDetails(String orderId);

    GoblinPayOrderDetailsVo payOrderDetails(String skuId);
}
